package com.persagy.adm.diagram.core.line;

import com.persagy.adm.diagram.core.model.base.XY;

/**
 * 连线的终点
 */
public class LineEnd {

	/**
	 * 与真正连接点的偏移量
	 */
	public static int offset = 5;

	/**
	 * 模式1，点（锚点）
	 */
	private XY point;

	/**
	 * 模式2，线段（干管）
	 */
	private XY[] line;

	public XY getPoint() {
		return point;
	}

	public void setPoint(XY point) {
		this.point = point;
	}

	public XY[] getLine() {
		return line;
	}

	public void setLine(XY[] line) {
		this.line = line;
	}

}
